Get speaker details
curl --request GET \
--url https://api.zuddl.com/v1/events/{eventId}/speakers/{speakerId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.zuddl.com/v1/events/{eventId}/speakers/{speakerId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.zuddl.com/v1/events/{eventId}/speakers/{speakerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"kind": "<string>",
"url": "<string>",
"id": "4fcebf73-3ddb-4fe6-b56d-5dd7dedb7c3d",
"speakerOrder": 123,
"profile": {
"firstName": "Alice",
"lastName": "Smith",
"bio": "<p>Alice is a <strong>renowned expert</strong>...</p>",
"company": "Tech Innovators Inc.",
"designation": "Chief Technology Officer",
"headline": "Visionary Leader in Tech",
"picUrl": "https://example.com/speakers/alice.jpg"
},
"socialLinks": {
"linkedInProfile": "https://linkedin.com/in/alicesmith",
"twitterProfile": "https://twitter.com/alicesmith",
"facebookProfile": "https://facebook.com/alicesmith",
"websiteUrl": "https://alicesmith.com"
},
"sessions": [
{
"sessionId": "4fcebf73-3ddb-4fe6-b56d-5dd7dedb7c4f",
"url": "/api/v1/events/evt-abc123xyz/sessions/seg-123432"
}
],
"externalRefId": "d812a64f8865428990249a120792c3d8"
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"errors": {}
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"errors": {}
}{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"description": "<string>",
"errors": {}
}Speakers
Get speaker details
Use this endpoint to retrieve the details of a specific speaker added to a particular event type in your Zuddl organization.
Required API key scopes: READ
GET
/
v1
/
events
/
{eventId}
/
speakers
/
{speakerId}
Get speaker details
Authorizations
Provide your API key secret in the Authorization header
Path Parameters
Unique identifier of the event
Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$Unique identifier of the speaker
Response
Speaker details retrieved successfully
Unique identifier of the speaker
Example:
"4fcebf73-3ddb-4fe6-b56d-5dd7dedb7c3d"
Order of appearance for this speaker
Speaker profile information
Show child attributes
Show child attributes
Speaker's social and website links
Show child attributes
Show child attributes
Sessions where this speaker appears
Show child attributes
Show child attributes
A reference ID that you can use to map this speaker to your external systems or databases
Example:
"d812a64f8865428990249a120792c3d8"
Was this page helpful?
⌘I